# norootforbuild

Name: buildbot
Version: 0.8.1
Release: 1.2
#
Group: Development/Tools/Building
License: GPL
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: python-devel
#
Url: http://buildbot.net/
Source: %{name}/%{name}-%{version}.tar.bz2
Source1: %{name}/%{name}-slave-%{version}.tar.bz2
Source2: %{name}/%{name}-docs-%{version}.tar.bz2
#
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif
#
Summary: BuildBot build/test automation system
%description
The BuildBot is a system to automate the compile/test cycle required by most
software projects to validate code changes. By automatically rebuilding and
testing the tree each time something has changed, build problems are
pinpointed quickly, before other developers are inconvenienced by the
failure. The guilty developer can be identified and harassed without human
intervention. By running the builds on a variety of platforms, developers
who do not have the facilities to test their changes everywhere before
checkin will at least know shortly afterwards whether they have broken the
build or not. Warning counts, lint checks, image size, compile time, and
other build parameters can be tracked over time, are more visible, and
are therefore easier to improve.

The overall goal is to reduce tree breakage and provide a platform to run
tests or code-quality checks that are too annoying or pedantic for any human
to waste their time with. Developers get immediate (and potentially public)
feedback about their changes, encouraging them to be more careful about
testing before checkin.

Author:
--------
    Brian Warner <warner-buildbot@lothar.com>
    Dustin J. Mitchell <dustin@v.igoro.us>

%package master
Group: Development/Tools/Building
License: GPL
Summary: BuildBot master
BuildRequires: python-devel
Requires: python-jinja2 >= 2.1
Requires: python-twisted >= 8.1
%description master
The BuildBot is a system to automate the compile/test cycle required by most
software projects to validate code changes. By automatically rebuilding and
testing the tree each time something has changed, build problems are
pinpointed quickly, before other developers are inconvenienced by the
failure. The guilty developer can be identified and harassed without human
intervention. By running the builds on a variety of platforms, developers
who do not have the facilities to test their changes everywhere before
checkin will at least know shortly afterwards whether they have broken the
build or not. Warning counts, lint checks, image size, compile time, and
other build parameters can be tracked over time, are more visible, and
are therefore easier to improve.

The overall goal is to reduce tree breakage and provide a platform to run
tests or code-quality checks that are too annoying or pedantic for any human
to waste their time with. Developers get immediate (and potentially public)
feedback about their changes, encouraging them to be more careful about
testing before checkin.

This package contains only the buildmaster implementation.  The buildbot-slave
package contains the buildslave.

%package slave
Group: Development/Tools/Building
License: GPL
Summary: BuildBot slave
BuildRequires: python-devel
Requires: python-twisted >= 8.1
%description slave
This package contains only the buildslave implementation.  The buildbot-master
package contains the buildmaster.

%package doc
Group: Development/Tools/Building
License: GPL
Summary: BuildBot documentation
%description doc
This package contains documentation for the BuildBot.

%prep
%setup -b 1 -b 2

%build
%{__python} setup.py build
cd ../%{name}-slave-%{version}
%{__python} setup.py build


%install
install -m 755 -d %{buildroot}%{_docdir}/%{name}/master
install -m 644 NEWS README %{buildroot}%{_docdir}/%{name}/master
install -m 755 -d %{buildroot}%{_docdir}/%{name}/slave
install -m 644 ../%{name}-slave-%{version}/NEWS ../%{name}-slave-%{version}/README %{buildroot}%{_docdir}/%{name}/slave
cp -vr docs/* %{buildroot}%{_docdir}/%{name}  
%if 0%{?suse_version}
%{__python} setup.py install \
    --prefix %{_prefix} \
    --root %{buildroot} \
    --record-rpm %{name}.files
cd ../%{name}-slave-%{version}
%{__python} setup.py install \
    --prefix %{_prefix} \
    --root %{buildroot} \
    --record-rpm %{name}-slave.files
%else
%{__python} setup.py install \
    --prefix %{_prefix} \
    --root %{buildroot} \
    --record %{name}.files
cd ../%{name}-slave-%{version}
%{__python} setup.py install \
    --prefix %{_prefix} \
    --root %{buildroot} \
    --record %{name}-slave.files
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n buildbot-slave -f ../%{name}-slave-%{version}/%{name}-slave.files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/slave
%doc %{_docdir}/%{name}/slave/NEWS
%doc %{_docdir}/%{name}/slave/README
#%doc ../%{name}-slave-%{version}/NEWS
#%doc ../%{name}-slave-%{version}/README

%files -n buildbot-master -f %{name}.files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/master
%doc %{_docdir}/%{name}/master/NEWS
%doc %{_docdir}/%{name}/master/README
#%doc NEWS
#%doc README

%files -n buildbot-doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/examples
%doc %{_docdir}/%{name}/images
%doc %{_docdir}/%{name}/%{name}.html

%changelog
* Mon Aug 16 2010 termim@gmail.com
- Update to version 0.8.1
* Tue Feb  9 2010 termim@gmail.com
- Update to version 0.7.12
* Tue Jan 12 2010 termim@gmail.com
- Update to version 0.7.11p3
* Wed Aug 23 2006 mrueckert@suse.de
- Update to version 0.7.4
* Wed May 24 2006 mrueckert@suse.de
- Update to version 0.7.3
* Thu Jan  5 2006 mrueckert@suse.de
- Initial package of version 0.7.1
